---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libgetlocal001.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x511F8, symBinAddr: 0xC348, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x53138, symBinAddr: 0xE288, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x53520, symBinAddr: 0xE670, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x544C0, symBinAddr: 0xF610, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x544C8, symBinAddr: 0xF618, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50D00, symBinAddr: 0xC080, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50D04, symBinAddr: 0xC084, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50D08, symBinAddr: 0xC088, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50E58, symBinAddr: 0xC098, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50F10, symBinAddr: 0xC150, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x50F14, symBinAddr: 0xC154, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50F18, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50F1C, symBinAddr: 0xC15C, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50F20, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8EC1, offset: 0x8EC1, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50F28, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0x8F4A, offset: 0x8F4A, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50F40, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8F63, offset: 0x8F63, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50F48, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8F7C, offset: 0x8F7C, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50F50, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8F95, offset: 0x8F95, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50F58, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x8FAF, offset: 0x8FAF, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50F60, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x9095, offset: 0x9095, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x50FA4, symBinAddr: 0xC1B4, symSize: 0x0 }
  - { offsetInCU: 0x90B5, offset: 0x90B5, size: 0x8, addend: 0x0, symName: __ZL4fval, symObjAddr: 0x50FA8, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x90CE, offset: 0x90CE, size: 0x8, addend: 0x0, symName: __ZL4dval, symObjAddr: 0x50FB0, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x90E7, offset: 0x90E7, size: 0x8, addend: 0x0, symName: __ZL4mid1, symObjAddr: 0x50FB8, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x9100, offset: 0x9100, size: 0x8, addend: 0x0, symName: __ZL4mid2, symObjAddr: 0x50FC0, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x9119, offset: 0x9119, size: 0x8, addend: 0x0, symName: __ZL4mid3, symObjAddr: 0x50FC8, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x9132, offset: 0x9132, size: 0x8, addend: 0x0, symName: __ZL4mid4, symObjAddr: 0x50FD0, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x914B, offset: 0x914B, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x50FD8, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0x916B, offset: 0x916B, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x50FE0, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0x9184, offset: 0x9184, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x50FF0, symBinAddr: 0xC200, symSize: 0x0 }
  - { offsetInCU: 0x919D, offset: 0x919D, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x51000, symBinAddr: 0xC210, symSize: 0x0 }
  - { offsetInCU: 0x91EF, offset: 0x91EF, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0x32E0, symSize: 0xA0 }
  - { offsetInCU: 0x9284, offset: 0x9284, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0x32B8, symSize: 0x28 }
  - { offsetInCU: 0x92E7, offset: 0x92E7, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0x3238, symSize: 0x80 }
  - { offsetInCU: 0x957B, offset: 0x957B, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0x3380, symSize: 0x20C }
  - { offsetInCU: 0x9734, offset: 0x9734, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x358C, symSize: 0x28 }
  - { offsetInCU: 0x97FD, offset: 0x97FD, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x35B4, symSize: 0xB0 }
  - { offsetInCU: 0x98F4, offset: 0x98F4, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x3664, symSize: 0xD8 }
  - { offsetInCU: 0x9A19, offset: 0x9A19, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x373C, symSize: 0x24 }
  - { offsetInCU: 0x9AFC, offset: 0x9AFC, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x3760, symSize: 0x168 }
  - { offsetInCU: 0x9CD8, offset: 0x9CD8, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x38C8, symSize: 0x104 }
  - { offsetInCU: 0x9E55, offset: 0x9E55, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x39CC, symSize: 0x154 }
  - { offsetInCU: 0xA039, offset: 0xA039, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x3B20, symSize: 0xAC }
  - { offsetInCU: 0xA10E, offset: 0xA10E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x3BCC, symSize: 0x14 }
  - { offsetInCU: 0xA147, offset: 0xA147, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x3BE0, symSize: 0x14 }
  - { offsetInCU: 0xA180, offset: 0xA180, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x3BF4, symSize: 0x14 }
  - { offsetInCU: 0xA341, offset: 0xA341, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x3C08, symSize: 0x1A8 }
  - { offsetInCU: 0xA655, offset: 0xA655, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x3DB0, symSize: 0x9C }
  - { offsetInCU: 0xA712, offset: 0xA712, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x3E4C, symSize: 0x690 }
  - { offsetInCU: 0xB2A4, offset: 0xB2A4, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA194, symBinAddr: 0x60AC, symSize: 0x30 }
  - { offsetInCU: 0xB330, offset: 0xB330, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x44DC, symSize: 0x74 }
  - { offsetInCU: 0xB40C, offset: 0xB40C, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x4550, symSize: 0xB0 }
  - { offsetInCU: 0xB563, offset: 0xB563, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x4600, symSize: 0x3C }
  - { offsetInCU: 0xB659, offset: 0xB659, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x463C, symSize: 0x29C }
  - { offsetInCU: 0xB99C, offset: 0xB99C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x48D8, symSize: 0xD0 }
  - { offsetInCU: 0xBACA, offset: 0xBACA, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x49A8, symSize: 0xC }
  - { offsetInCU: 0xBB8C, offset: 0xBB8C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x49B4, symSize: 0x22C }
  - { offsetInCU: 0xBE47, offset: 0xBE47, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x4BE0, symSize: 0x4 }
  - { offsetInCU: 0xBE8B, offset: 0xBE8B, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x4BE0, symSize: 0x4 }
  - { offsetInCU: 0xBEA4, offset: 0xBEA4, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x4BE4, symSize: 0x1C8 }
  - { offsetInCU: 0xC07F, offset: 0xC07F, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8E94, symBinAddr: 0x4DAC, symSize: 0x4 }
  - { offsetInCU: 0xC0C3, offset: 0xC0C3, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8E94, symBinAddr: 0x4DAC, symSize: 0x4 }
  - { offsetInCU: 0xC1A8, offset: 0xC1A8, size: 0x8, addend: 0x0, symName: _check1, symObjAddr: 0x8E98, symBinAddr: 0x4DB0, symSize: 0x208 }
  - { offsetInCU: 0xC3D9, offset: 0xC3D9, size: 0x8, addend: 0x0, symName: _check2, symObjAddr: 0x90A0, symBinAddr: 0x4FB8, symSize: 0x2AC }
  - { offsetInCU: 0xC7A6, offset: 0xC7A6, size: 0x8, addend: 0x0, symName: _check3, symObjAddr: 0x934C, symBinAddr: 0x5264, symSize: 0x290 }
  - { offsetInCU: 0xCADE, offset: 0xCADE, size: 0x8, addend: 0x0, symName: _check4, symObjAddr: 0x95DC, symBinAddr: 0x54F4, symSize: 0x448 }
  - { offsetInCU: 0xCF81, offset: 0xCF81, size: 0x8, addend: 0x0, symName: _MethodExit, symObjAddr: 0x9A24, symBinAddr: 0x593C, symSize: 0x280 }
  - { offsetInCU: 0xD1C1, offset: 0xD1C1, size: 0x8, addend: 0x0, symName: _Breakpoint, symObjAddr: 0x9CA4, symBinAddr: 0x5BBC, symSize: 0x294 }
  - { offsetInCU: 0xD4B1, offset: 0xD4B1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_GetLocalVariable_getlocal001_getMeth, symObjAddr: 0x9F38, symBinAddr: 0x5E50, symSize: 0x244 }
  - { offsetInCU: 0xD7F0, offset: 0xD7F0, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_GetLocalVariable_getlocal001_getRes, symObjAddr: 0xA17C, symBinAddr: 0x6094, symSize: 0x18 }
  - { offsetInCU: 0xD82A, offset: 0xD82A, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA1C4, symBinAddr: 0x60DC, symSize: 0x358 }
...
